Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class RemotableResource

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.Resource
                  |
                  +--com.ibm.cics.server.RemotableResource

Direct Known Subclasses:
  File, Program, StartRequest, TDQ, TSQ

public abstract class RemotableResource
extends Resource
implements java.io.Serializable

This abstract class provides the common implementation for resources that can be accessed on other systems.

It defines the following properties

- sysId - a String which identifies the remote system on which the resource is defined.

Constructor Summary
`RemotableResource()`

Method Summary
`java.lang.String` | `getSysId()` All remotable resources CAN have a 'sysId'.
`void` | `setSysId(java.lang.String newSysId)` Not Implemented. The InvalidSystemIdException is never thrown.

Methods inherited from class com.ibm.cics.server.Resource
`getDescription, getName, setDescription, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemotableResource

    public RemotableResource()

Method Detail

### getSysId

    public java.lang.String getSysId()

  All remotable resources CAN have a 'sysId'. This is initially null. This method gets the current sysId.
  Returns:
    The resource sysId.

### setSysId

    public void setSysId(java.lang.String newSysId)
                  throws java.lang.NullPointerException,
                         InvalidSystemIdException

  This method is not implemented in this release.
    The InvalidSystemIdException is never thrown.
  All remotable resources CAN have a 'sysId'. This is initially null. This method sets the current sysId.
  Parameters:
    `newSysId` - The new resource sysId.
  Throws:
    java.lang.NullPointerException - if newSysId is null.
    InvalidSystemIdException - if newSysId is not a 4 character string.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002 by Sun Microsystems, Inc.